MESAFLASH(1)

NAME
MesaFlash - utility to flash Mesa Electronics FPGA Cards

SYNOPSIS
mesaflash [options] [commands]

DESCRIPTION
mesaflash Read, write, configure Mesa Electronics FPGA cards.

OPTIONS

--device name
    Select active device name. If no command is given it will detect board with given name and print info about it.

    The special values "ETHER", "SPI" and "AUTO" will attempt to detect a device on ethernet, SPI, or any interface; --addr still needs to be specified for non-PCI devices.

--addr [ip]|[device]
    Use ip or device name to look for <name> (IP address for Ethernet boards, serial device name for USB boards and serial boards, SPI device name for SPI boards)

--addr_hi
    Set the high register address for the EPP interface.

--epp
    Use EPP interface to connect to board, only for boards with multiple interfaces (7c80, 7c81, 7i43, 7i90, 7i64).

--usb
    Use USB interface to connect to board, only for boards with multiple interfaces (7c80, 7c81, 7i43, 7i90, 7i64).

--spi
    Use SPI interface to connect to board, only for boards with multiple interfaces (7c80, 7c81, 7i43, 7i90, 7i64).

--serial
    Use serial interface to connect to board, only for boards with multiple interfaces (7i43, 7i90, 7i64).

--fallback
    Use the fallback area of the FLASH memory while executing commands.

--recover
    Access board using PCI bridge GPIO (currently only 6I24/6I25).

--xml
    Format output from 'readhmid' command into XML.

--dbname# name
    Set daughter board name to 'name' for FPGA connector 'N'. Allows readhmid to include daughterboard terminal names, where # can be in the range 1 to 6 (1 means first FPGA connector).

--verbose
    Print detailed information while running commands.

COMMANDS

--write filename
    Writes a standard bitfile 'filename' configuration to the userarea of the FLASH memory (IMPORTANT! 'filename' must be VALID FPGA configuration file).

--fix-boot-block
    If a write operation does not detect a valid boot block, write one.

--no-auto-verify
    Don't automatically verify after writing.

--verify filename
    Verifies the FLASH memory configuration against the bitfile 'filename'.

--program filename
    Writes a standard bitfile 'filename' configuration to the FPGA (IMPORTANT! 'filename' must be VALID FPGA configuration file).

--backup-flash filename|dirname
    Backup all content the FLASH memory to the file 'filename' or to the directory 'dirname' with auto naming dump file.

--restore-flash filename
    Restore all content the FLASH memory from a file 'filename' (IMPORTANT! Can't use a dump file from different types of boards. Unacceptable interrupt the restoring process. If the restoring process was interrupted, do not turn off the board power and do not reload board, and run restore process again). Required SHA256 checksum file 'filename.sha256'.

--sha256-check
    Integrity check FPGA configuration bitfile before writing. Required SHA256 checksum file 'filename.sha256'.

--readhmid
    Print hostmot2 configuration in PIN file format.

--print-pd
    Print hostmot2 Pin Descriptors.

--reload
    Do full FPGA reload from FLASH memory (only Ethernet, SPI and PCI boards).

--reset
    Do full firmware reset (only Ethernet and serial boards).

--sserial
    Print full information about all sserial remote boards.

--rpo address
    Read hostmot2 variable directly at 'address'.

--wpo address value
    Write hostmot2 variable directly at 'address' with 'value'.

--setip="n.n.n.n"
    Set board IP address in EEPROM memory to n.n.n.n (only Ethernet boards).

--info filename
    Print info about configuration in 'filename'.

--help
    Print the help message

BUGS
No known bugs.

AUTHOR
LinuxCNC Developer Community <emc-developers@lists.sourceforge.net>

Michael Geszkiewicz <micges@wp.pl>

Peter Wallace <tech@mesanet.com>

COPYRIGHT
GNU GPL v2+ License

Copyright (c) 2020 Sebastian Kuzminsky

Copyright (c) 2019 Peter Wallace

Copyright (c) 2013-2015 Michael Geszkiewicz